



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>java实现在图片上编辑文本内容</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">java实现在图片上编辑文本内容</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-10 20:14:11 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<div>
<pre class="prettyprint linenums">package com.yin.text;

import java.awt.Color;<br />
import java.awt.Font;<br />
import java.awt.Graphics2D;<br />
import java.awt.image.BufferedImage;<br />
import java.io.File;<br />
import java.io.IOException;

import javax.imageio.ImageIO;

/**<br />
 * 在图片上编辑文本内容<br />
 * @version 2018-2-27 上午11:12:09<br />
 *<br />
 */<br />
public class Picture1<br />
{<br />
     private Font       font     = new Font("宋体", Font.PLAIN, 12); // 添加字体的属性设置<br />
     private Graphics2D g        = null;<br />
     private int        fontsize = 0;<br />
     private int        x        = 0;<br />
     private int        y        = 0;  

    /**<br />
     * 导入本地图片到缓冲区<br />
     */<br />
    public BufferedImage loadImageLocal(String imgName) {<br />
        try {<br />
            return ImageIO.read(new File(imgName));<br />
        } catch (IOException e) {<br />
            System.out.println(e.getMessage());<br />
        }<br />
        return null;<br />
    } 

    /**<br />
     * 生成新图片到本地<br />
     */<br />
    public void writeImageLocal(String newImage, BufferedImage img) {<br />
        if (newImage != null &amp;&amp; img != null) {<br />
            try {<br />
                File outputfile = new File(newImage);<br />
                ImageIO.write(img, "jpg", outputfile);<br />
            } catch (IOException e) {<br />
                System.out.println(e.getMessage());<br />
            }<br />
        }<br />
    } 

    /**<br />
     * 修改图片,返回修改后的图片缓冲区（只输出一行文本）<br />
     */<br />
    public BufferedImage modifyImage(BufferedImage img, Object content, int x, int y) {  

        try {<br />
            int w = img.getWidth();<br />
            int h = img.getHeight();<br />
            g = img.createGraphics();<br />
            g.setBackground(Color.RED);//设置背景颜色<br />
            g.setColor(Color.BLUE);//设置字体颜色<br />
            if (this.font != null)<br />
                g.setFont(this.font);<br />
            // 验证输出位置的纵坐标和横坐标<br />
            if (x &gt;= h || y &gt;= w) {<br />
                this.x = h - this.fontsize + 2;<br />
                this.y = w;<br />
            } else {<br />
                this.x = x;<br />
                this.y = y;<br />
            }<br />
            if (content != null) {<br />
                g.drawString(content.toString(), this.x, this.y);<br />
            }<br />
            g.dispose();<br />
        } catch (Exception e) {<br />
            System.out.println(e.getMessage());<br />
        }  

        return img;<br />
    }<br />
    public static void main(String[] args) {  

        Picture1 tt = new Picture1();  

        BufferedImage d = tt.loadImageLocal("C:/1.jpg");  

        //往图片上编辑内容<br />
        tt.writeImageLocal("C:/new1.jpg", tt.modifyImage(d, "这是文本内容啦啦啦啦啦", 0, 200));  

        System.out.println("success");<br />
    }<br />
}</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/0qw000r9.html">ireport5&period;6&plus;jasperreport6&period;3开发（二）--web开发的配置</a>
		</li>
						<li><a href="https://www.batexi.com/a/m8znxyx8.html">BZOJ 3809 莫队&plus;（分块｜BIT）</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qyz0329.html">SharePoint 2013 使用PowerShell创建State Service</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyd10vmq.html">eval函数的工作原理</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv26oxq.html">云计算PAAS平台测试设计之镜像管理</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdeozmx9.html">【MongoDB】增删改查基本操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7mdxweq.html">Nginx - webbench压力测试</a>
		</li>
						<li><a href="https://www.batexi.com/a/93x67gz9.html">dedecms内容管理</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z12r619.html">time&period;h文件中包含的几个函数使用时须注意事项</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvvx6xxq.html">jquery插件anccordion</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zo1kr3q.html">Unity3D手游-横版ACT游戏完整源代码下载</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7zogwj9.html">windows安装MySQL</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jk7k38.html">深入理解Java内存模型 - volatile</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdmkvd9.html">理解VMware虚拟机下网络连接的三种模式&lpar;如何配置虚拟机上网&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjw43k8.html">javascript实现朴素贝叶斯分类与决策树ID3分类</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv1pnrzq.html">Python内置函数&lpar;50&rpar;&mdash;&mdash;issubclass</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jz753l8.html">SDL2源代码分析2：窗口（SDL&lowbar;Window）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jrlll8.html">shell脚本的小记</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnvynkg8.html">Spring cloud Eureka错误锦集（二）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnv72038.html">吴裕雄 python深度学习与实践（6）</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9j1wkwg9.html">Linux CentOS 7 &amp;amp&semi; JDK 1&period;7 安装与配置</a>
			</li>
						<li><a href="https://www.batexi.com/a/95g465mq.html">ajax写用户注册</a>
			</li>
						<li><a href="https://www.batexi.com/a/8o1zxn1q.html">phpstorm&plus;xdebug调试代码</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7o6pv18.html">探索未知种族之osg类生物---器官初始化一</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyymemmq.html">linux中的定时任务创建</a>
			</li>
						<li><a href="https://www.batexi.com/a/90rovvm9.html">vs2010打开qt的&period;pro文件时错误解决办法</a>
			</li>
						<li><a href="https://www.batexi.com/a/qv2xv3z9.html">UI设计教程分享：PS故障风海报制作教程</a>
			</li>
						<li><a href="https://www.batexi.com/a/qnv3v438.html">Imageview 按比例适应屏幕大小</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pwzwzk8.html">tomcat优化（转）</a>
			</li>
						<li><a href="https://www.batexi.com/a/95g630mq.html">jQuery实现多个ajax请求等待</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
